Bug 1265353 - [PROD] (6.1.z) fuse-bxms-integration should include drools-karaf-feature.xml
[PROD] (6.1.z) fuse-bxms-integration should include drools-karaf-feature.xml
Status: VERIFIED
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: Build and Assembly (Show other bugs)
6.1.0
Unspecified Unspecified
high Severity unspecified
: CR2
: 6.1.0
Assigned To: Ryan Zhang
Jiri Petrlik
:
Depends On: 1265199
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-22 14:08 EDT by Alessandro Lazarotti
Modified: 2016-05-08 21:24 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1265199
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alessandro Lazarotti 2015-09-22 14:08:00 EDT
+++ This bug was initially created as a clone of Bug #1265199 +++

Description of problem:
GSS team has spot that the drools-karaf is missing in the fuse integration pack.

I think the drools karaf has been excluded for some reason in 
https://github.com/jboss-integration/fuse-bxms-integ/blob/fuse-bxms-integ-1.0.0.redhat-620147/release/karaf/fuse-integration-karaf-distro/assembly.xml#L36

Please have a look that if we need to include drools karaf and update the assembly.

I put this under BRMS team and assign to Kris for review since it's drools related.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

--- Additional comment from Edson Tirelli on 2015-09-22 09:19:42 EDT ---

Mario, David, can you please comment on this? If it was excluded on purpose, can you please explain the reasons for it.
Comment 2 David Virgil 2015-09-23 05:07:10 EDT
The drools/kie artifacts are not directly referenced in our features file. We use a range of versions. This is the main reason why it is not included neither drools nor switchyard artifacts.

Drools and Switchyard need to be installed previously in the environment where fuse-bxms-integ is going to be installed.

With this decision existing customer of drools can install fuse-bxms-integ without any problem.
Comment 3 Alessandro Lazarotti 2015-09-23 09:47:56 EDT
See that drools-karaf-feature is not in fact a pure "drools artifact", it is a fuse feature file to make easier install the bundles on top of fuse.

The point is, Fuse customers does not install drools as every customers do, they need that file. The deliverable of BRMS packages include tons of other artifacts that fuse customers do not care, they only need the drools-karaf-feature and the karaf-feature from Integration Pack. It is not expect customers that would like to install Integration Package download any other additional package to consume only one xml file, drools-karaf-feature an karaf-features need to be delivered together, in the same zip file.

I understand the split of the features files like was done to allow BRMS engineers and Fuse engineers to work in each one individually, but the delivery should be done in the same Integration Pack archive. For that i do not know if a change in the assembly must be done or productisation should do any additional task.
Comment 4 Hiram Chirino 2015-09-23 12:44:16 EDT
It was split up that way so that one day we can have a fuse-integration bundles which does not need to be updated for each Fuse or BxMS release.  As long as Fuse and BxMS stays compatible enough, updates of fuse or bxms should not require an update of the integration bundles.  All that we should need to do is QE that the existing integration bundle works with the new bxms or fuse release.
Comment 5 Alessandro Lazarotti 2015-09-23 17:33:14 EDT
After some talk with Hiram and as part of the comment above, we understand that the goal is to avoid in the future a new Integration Pack for each BxMS Pacth Update.

However as also described, customers should not download the full BxMS installation to get only the drools-karaf-feature. Also we can not keep it only in Maven Repo, the version there does not fit the brand product version and can confuse customers about which drools-karaf-feature version they should consume - it will also not be easy to get documented.

So, delivering it in a separated download can help with the problems above. Something intuitive like: Fuse Feature for BRMS and BPM Suite Engines 6.1 Update X ?
Comment 7 Jiri Petrlik 2015-10-29 05:43:19 EDT
Zip file on this address [1] contains the drools-karaf-features for BxMS 6.1.3. I consider this bug as verified for integration pack build intpkg-1.0.0.redhat-620147 (integration pack for BxMS 6.1.3).

[1] http://dev138.mw.lab.eng.bos.redhat.com/candidate/intpkg-1.0.0.redhat-620147/20150925/

Note You need to log in before you can comment on or make changes to this bug.